---
agentTools:
  projectIndex: https://hypeauditor.readme.io/llms.txt
---

# Unlocked Reports

HypeAuditor for Unlocked Reports

# Endpoint

* Returns a list of reports unlocked on the requested account:

```json
GET https://hypeauditor.com/api/method/auditor.reportsUnlocked
```

***

# Changelog

> ❗️ Important:
>
> * The `refunded` boolean was added to the response on **March 19, 2026.** All reports unlocked before that date have the `"refunded": false` response.

***

# Parameters Object

> 📘 Note:
>
> * All the attributes are optional.
> * Endpoint is available **only** for API subscriptions.
> * If`date_from` and `date_to` are not specified, the time since account creation till now is used.
> * If date attributes do not include `hh:mm:ss`, the default is `00:00:00` (e.g.: `2024-01-01` = `2024-01-01 00:00:00`).
> * For any questions, please reach out to our Support Team via email at <support@hypeauditor.com>

[block:parameters]
{
  "data": {
    "h-0": "Attribute",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "limit",
    "0-1": "int",
    "0-2": "default = 100, maximum = 100",
    "1-0": "date_from",
    "1-1": "date",
    "1-2": "Start date for the period to analyze (corresponds to `time_pay`).  \nISO format (`yyyy-mm-dd hh:mm:ss`)",
    "2-0": "date_to",
    "2-1": "date",
    "2-2": "Final date for the period to analyze (corresponds to `time_pay`).  \nISO format (`yyyy-mm-dd hh:mm:ss`)",
    "3-0": "offset",
    "3-1": "int",
    "3-2": "default = 0"
  },
  "cols": 3,
  "rows": 4,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

# Response Object

[block:parameters]
{
  "data": {
    "h-0": "Attributes",
    "h-1": "Type",
    "h-2": "",
    "0-0": "data.username",
    "0-1": "str",
    "0-2": "Username of unlocked report",
    "1-0": "data.id",
    "1-1": "str",
    "1-2": "ID of unlocked report",
    "2-0": "data.type",
    "2-1": "str",
    "2-2": "Social Network",
    "3-0": "data.time_add",
    "3-1": "timestamp",
    "3-2": "Unix timestamp in seconds when report was requested",
    "4-0": "data.time_pay",
    "4-1": "timestamp",
    "4-2": "Unix timestamp in seconds when report was paid",
    "5-0": "data.completed",
    "5-1": "int",
    "5-2": "1 - Ready  \n0 - Not Ready",
    "6-0": "data.time_completed",
    "6-1": "timestamp",
    "6-2": "Unix timestamp in seconds when report was completed",
    "7-0": "refunded",
    "7-1": "bool",
    "7-2": "True - Credit for the unlock has been refunded (report is free)  \nFalse -  Credit for the unlock has not been refunded (report is paid)",
    "8-0": "total",
    "8-1": "int",
    "8-2": "Total amount of reports in data object"
  },
  "cols": 3,
  "rows": 9,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

# Requests

Set `YOUR_ID` and `YOUR_TOKEN` from HypeAuditor.

```curl cURL
curl -X GET \
  'https://hypeauditor.com/api/method/auditor.reportsUnlocked?limit=10&date_from=2024-09-18&date_to=2024-09-20&offset=0'
  -H 'x-auth-id: %YOUR_ID%' \
  -H 'x-auth-token: %YOUR_TOKEN%' \
```
```php PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
   CURLOPT_URL => 'https://hypeauditor.com/api/method/auditor.reportsUnlocked?limit=10&date_from=2024-09-18&date_to=2024-09-20&offset=0',
   CURLOPT_CUSTOMREQUEST => 'GET',
   CURLOPT_HTTPHEADER => [
       'x-auth-id: YOUR_ID',
       'x-auth-token: YOUR_TOKEN'
   ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
   echo 'cURL Error #:' . $err;
} else {
   echo $response;
}
```

## Sample Response

```json
{
    "result": {
        "data": [
           {
                "username": "snoopdogg",
                "id": "1574083",
                "type": "instagram",
                "time_add": 1774003464,
                "time_pay": 1774003467,
                "completed": 1,
                "time_completed": 1774003464,
                "refunded": false
            },
        ],
        "total": 1
    }
}
```

# Errors

* Please, refer to [Errors](https://hypeauditor.readme.io/reference/errors).